### Method

# Gdk Surfaceget_cursor

#### Declaration [src]

    GdkCursor*
    gdk_surface_get_cursor (
      GdkSurface* surface
    )

#### Description [src]

Retrieves a `GdkCursor` pointer for the cursor currently set on the `GdkSurface`.

If the return value is `NULL` then there is no custom cursor set on the surface, and it is using the cursor for its parent surface.

Use `gdk_surface_set_cursor()` to unset the cursor of the surface.

Gets property | `Gdk.Surface:cursor`

#### Return value

Type: `GdkCursor`

A `GdkCursor`

The data is owned by the instance.
The return value can be `NULL`.